Central

Central monitoring is a feature that allows you to use other products to send metrics to a central location. This is useful for analyzing metrics from multiple sources.

This tag groups all operations for central.

Retrieve all CentralMonitoring

get
/central

This endpoint enables retrieving all CentralMonitoring using pagination and optional filters.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Responses
chevron-right
200

Returned all requested CentralMonitoring successfully.

application/json
idstring · uuidRequired

ID of the list of CentralMonitoring resources.

Example: d9a741e7-1132-5b47-94d3-aabefa619c91
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the list of CentralMonitoring resources.

Example: /central
get
/central

Retrieve CentralMonitoring

get
/central/{centralId}

Returns the CentralMonitoring by ID.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
centralIdstring · uuidRequired

The ID (UUID) of the CentralMonitoring.

Example: 23e6183d-6ab3-54de-b165-9b44c3589f4f
Responses
chevron-right
200

Getting CentralMonitoring was successful.

application/json
idstring · uuidRequired

The ID (UUID) of the CentralMonitoring.

Example: 23e6183d-6ab3-54de-b165-9b44c3589f4f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the CentralMonitoring.

Example: /central/23e6183d-6ab3-54de-b165-9b44c3589f4f
get
/central/{centralId}

Ensure CentralMonitoring

put
/central/{centralId}

Ensures that the CentralMonitoring with the provided ID is created or modified. The full CentralMonitoring needs to be provided to ensure (either update or create) the CentralMonitoring. Non present data will only be filled with defaults or left empty, but not take previous values into consideration.

Authorizations
AuthorizationstringRequired

The token can be generated using the Authentication API.

Path parameters
centralIdstring · uuidRequired

The ID (UUID) of the CentralMonitoring.

Example: 23e6183d-6ab3-54de-b165-9b44c3589f4f
Body
metadataanyOptional

Metadata

Responses
chevron-right
200

CentralMonitoring successfully updated.

application/json
idstring · uuidRequired

The ID (UUID) of the CentralMonitoring.

Example: 23e6183d-6ab3-54de-b165-9b44c3589f4f
typestring · enumRequired

The type of the resource.

Possible values:
hrefstringRequired

The URL of the CentralMonitoring.

Example: /central/23e6183d-6ab3-54de-b165-9b44c3589f4f
put
/central/{centralId}

Last updated

Was this helpful?